# Uses of Enum Class
org.apache.lucene.index.VectorEncoding

Packages that use VectorEncoding
Package
Description
org.apache.lucene.codecs.lucene95
Lucene 9.5 file format.
org.apache.lucene.codecs.lucene99
Lucene 9.9 file format.
org.apache.lucene.document
The logical representation of a `Document` for indexing and searching.
org.apache.lucene.index
Code to maintain and access indices.

- ## Uses of VectorEncoding in org.apache.lucene.codecs.lucene95

  Methods in org.apache.lucene.codecs.lucene95 with parameters of type VectorEncoding
  Modifier and Type
  Method
  Description
  `static OffHeapByteVectorValues`
  OffHeapByteVectorValues.`load(VectorSimilarityFunction vectorSimilarityFunction, FlatVectorsScorer flatVectorsScorer, OrdToDocDISIReaderConfiguration configuration, VectorEncoding vectorEncoding, int dimension, long vectorDataOffset, long vectorDataLength, IndexInput vectorData)`
  `static OffHeapFloatVectorValues`
  OffHeapFloatVectorValues.`load(VectorSimilarityFunction vectorSimilarityFunction, FlatVectorsScorer flatVectorsScorer, OrdToDocDISIReaderConfiguration configuration, VectorEncoding vectorEncoding, int dimension, long vectorDataOffset, long vectorDataLength, IndexInput vectorData)`

- ## Uses of VectorEncoding in org.apache.lucene.codecs.lucene99

  Methods in org.apache.lucene.codecs.lucene99 that return VectorEncoding
  Modifier and Type
  Method
  Description
  `static VectorEncoding`
  Lucene99HnswVectorsReader.`readVectorEncoding(DataInput input)`

- ## Uses of VectorEncoding in org.apache.lucene.document

  Methods in org.apache.lucene.document that return VectorEncoding
  Modifier and Type
  Method
  Description
  `VectorEncoding`
  FieldType.`vectorEncoding()`
  Methods in org.apache.lucene.document with parameters of type VectorEncoding
  Modifier and Type
  Method
  Description
  `void`
  FieldType.`setVectorAttributes(int numDimensions, VectorEncoding encoding, VectorSimilarityFunction similarity)`
  Enable vector indexing, with the specified number of dimensions and distance function.

- ## Uses of VectorEncoding in org.apache.lucene.index

  Methods in org.apache.lucene.index that return VectorEncoding
  Modifier and Type
  Method
  Description
  `VectorEncoding`
  ByteVectorValues.`getEncoding()`
  `VectorEncoding`
  FloatVectorValues.`getEncoding()`
  `abstract VectorEncoding`
  KnnVectorValues.`getEncoding()`
  The vector encoding of these values.
  `VectorEncoding`
  FieldInfo.`getVectorEncoding()`
  Returns the number of dimensions of the vector value
  `static VectorEncoding`
  VectorEncoding.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VectorEncoding[]`
  VectorEncoding.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  `VectorEncoding`
  IndexableFieldType.`vectorEncoding()`
  The `VectorEncoding` of the field's vector value
  Constructors in org.apache.lucene.index with parameters of type VectorEncoding
  Modifier
  Constructor
  Description
  ``
  `FieldInfo(String name, int number, boolean storeTermVector, boolean omitNorms, boolean storePayloads, IndexOptions indexOptions, DocValuesType docValues, DocValuesSkipIndexType docValuesSkipIndex, long dvGen, Map<String,String> attributes, int pointDimensionCount, int pointIndexDimensionCount, int pointNumBytes, int vectorDimension, VectorEncoding vectorEncoding, VectorSimilarityFunction vectorSimilarityFunction, boolean softDeletesField, boolean isParentField)`
  Sole constructor.